#include <iostream>

using namespace std; 
 
 int main()
 {
    
    int n, l, i; 
    cin >> n >> l; 
    
    int h[n]; 
    
    for(i = 0; i < n; i++)
    {
        
        cin >> h[i];
        
    }
    
    for(i=0; i < n; i++)
    {
        
        if (h[i] <= l)
        {
            
            cout << i+1 << endl; 
            return 0; 
        }
        
    }
    
    cout << -1 << endl; 
    
 }